#include "ColorPushButton.h"
#include <QStyleFactory>

ColorPushButton::ColorPushButton(QWidget* parent) : QPushButton(parent)
{
	this->setFlat(true);
	this->setAutoFillBackground(true);
	this->setStyle(QStyleFactory::create("windows"));
}

ColorPushButton::~ColorPushButton()
{

}

void ColorPushButton::setColor(const QColor& color)
{
	if (color.isValid()) {
		QPalette palette = this->palette();
		palette.setColor(this->backgroundRole(),color);
		this->setPalette(palette);
		emit colorChanged(getColor());
	}
}

void ColorPushButton::setColorText(const QString& text, const QColor& color)
{
	this->setText(text);
	if (color.isValid()) {
		QPalette palette = this->palette();
		palette.setColor(this->foregroundRole(),color);
		this->setPalette(palette);
	}
}
