#ifndef COLORPUSHBUTTON_H
#define COLORPUSHBUTTON_H

#include <QPushButton>

/**
* This class is a QPushButton with a single button color and a colored text.
*/
class ColorPushButton : public QPushButton
{
	Q_OBJECT

public:
	ColorPushButton(QWidget* parent); ///< creates the color push button
	~ColorPushButton();

	const QColor& getColor() {return this->palette().color(this->backgroundRole());} ///< returns the current button color

signals:
	void colorChanged(const QColor& color); ///< is send when the button color changed

public slots:
	void setColor(const QColor& color); ///< sets the current button color to color
	void setColorText(const QString& text, const QColor& color); ///< sets the current button text to text with the color color
};

#endif
