#ifndef DATAITEM_H
#define DATAITEM_H

#include <QString>
#include <QVector>
#include "DataItemPart.h"

/**
* This structure represents a data item with a name and a time sequence of data. A data item can be for example a movie.
*/
struct DataItem
{
QString label; ///< the name of the data item (for example the movie name)
QVector<DataItemPart> data;  ///< a sequence of data item parts

bool operator<(const DataItem& other) const {  ///< checks if this data item is less than the other
	if (this->data.isEmpty() && !other.data.isEmpty()) {return true;}
	if (!this->data.isEmpty() && other.data.isEmpty()) {return false;}
	if (this->data.isEmpty() && other.data.isEmpty()) {return false;}
	if (this->data.at(0) < other.data.at(0)) {return true;} else {return false;}
}
};

#endif
