#ifndef DATAITEMPART_H
#define DATAITEMPART_H

/**
* This structure represents a data item part with a year, month and the quantity. A data item part can be for example the revenue of a movie at the given year and month.
*/
struct DataItemPart
{
int year; ///< the year of the given quantity
int month; ///< the month of the given quantity
double quantity; ///< the quantity at the given time

bool operator<(const DataItemPart& other) const { if (this->year < other.year || (this->year == other.year && this->month < other.month)) {return true;} else {return false;} } ///< checks if this data item part is less than the other
bool operator==(const DataItemPart& other) const { if (this->year == other.year && this->month == other.month) {return true;} else {return false;} } ///< checks if this data item part is equal to the other
};

#endif
