#include <QApplication>
#include <QSplashScreen>

#include "MainWindow.h"

/* Comment block for doxygen index.html aka mainpage */

/** \mainpage Sourcecode documentation for "Information Visualization - Stacked Graphs"
 *
 * \section intro_sec Introduction
 * This autogenerated documentation shows the functionality of the provided sourcecode of the project.
 * This Application was written by Georg SCHLEICHER and Wolfgang LUDWIG using C++ and Qt.
 *
 * \section next_sec What to do next?
 * Please use the navigational links at the top of the page to browse classes and files.
 */


int main(int argc, char* argv[])
{
	QApplication app(argc, argv);
	app.setStyleSheet("QToolTip{opacity:200;}");
	
	// create, load and show splashscreen during startup
	QPixmap pixmap("splash.png");
	QSplashScreen splash(pixmap);
	splash.show();
	
	// create and show mainWindow
	MainWindow mainWindow;
	QObject::connect(&mainWindow, SIGNAL(quitApp()), &app, SLOT(quit()));
	mainWindow.showMaximized();
	
	// close splashscreen
	splash.finish( &mainWindow );

	return app.exec();
}
