#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "CentralWidget.h"

/**
* This class is a main window.
*/
class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow(); ///< creates the main window
	~MainWindow();

signals:
    void quitApp(); ///< quits the application

private slots:
	void setOpenFileName(); ///< starts a QFileDialog and loads the data on selection
	void showAboutBox(); ///< shows the about message box

private:
    CentralWidget* centralWidget;
    QString title;
};

#endif
